Subject: bug#34080: 27.0.50, 26.1; undocumented key bindings for *vc-diff*

From: Sean Whitton <[email-masked]>
Date: Mon, 19 May 2025 09:30:11 +0100

Hello,

On Mon 19 May 2025 at 09:30am +03, Juri Linkov wrote:

> The Info node (info "(elisp) Standard Properties") says:
>
>   ‘:advertised-binding’
>        This property value specifies the preferred key binding, when
>        showing documentation, for the named function.  *Note Keys in
>        Documentation::.
>
> Then the referred node (info "(elisp) Keys in Documentation")
> mentions 'substitute-command-keys' that I used in my example.
> OTOH, I can't find any reference to 'where-is-internal'.

The only place in the code that makes reference to :advertised-binding
other than calls to `put' is in where-is-internal.  I.e.,
where-is-internal is where :advertised-binding is implemented.

Do a 'C-x p g' for QCadvertised_binding.

-- 
Sean Whitton